package com.mcwl.resource.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.mcwl.resource.domain.ModelVersion;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * @Author：ChenYan
 * @Project：McWl
 * @Package：com.mcwl.resource.mapper
 * @Filename：ModelVersionMapper
 * @Description TODO
 * @Date：2025/1/9 16:55
 */
@Mapper
public interface ModelVersionMapper extends BaseMapper<ModelVersion> {
//    void addModelVersion(@Param("modelProduct") ModelProduct modelProduct, @Param("modelVersionList") List<ModelVersion> modelVersionList);

    void updateByName(ModelVersion modelVersion);

    ModelVersion selectByFileName(@Param("name") String name);

    void addModelVersion (ModelVersion modelVersion);

    ModelVersion selectByHash(@Param("hashCode") String hashCode);

    ModelVersion selectByProductId(@Param("id") Long id);

    ModelVersion selectByEncryptionFileName(@Param("name") String name);

}
